org.thymeleaf.extras.springsecurity4.auth

## Class AclAuthUtils

- Object
- - org.thymeleaf.extras.springsecurity4.auth.AclAuthUtils

-     public final class AclAuthUtils
      extends Object

  Since:
    2.0.1
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `authorizeUsingAccessControlList(Object domainObject, org.springframework.context.ApplicationContext applicationContext, String permissionsString, org.springframework.security.core.Authentication authentication, javax.servlet.ServletContext servletContext)`
    `static boolean` | `authorizeUsingAccessControlList(Object domainObject, List<org.springframework.security.acls.model.Permission> permissions, org.springframework.security.core.Authentication authentication, javax.servlet.ServletContext servletContext)`
    `static List<org.springframework.security.acls.model.Permission>` | `parsePermissionsString(org.springframework.context.ApplicationContext applicationContext, String permissionsString)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### authorizeUsingAccessControlList

          public static boolean authorizeUsingAccessControlList(Object domainObject,
                                                                org.springframework.context.ApplicationContext applicationContext,
                                                                String permissionsString,
                                                                org.springframework.security.core.Authentication authentication,
                                                                javax.servlet.ServletContext servletContext)

    - #### authorizeUsingAccessControlList

          public static boolean authorizeUsingAccessControlList(Object domainObject,
                                                                List<org.springframework.security.acls.model.Permission> permissions,
                                                                org.springframework.security.core.Authentication authentication,
                                                                javax.servlet.ServletContext servletContext)

    - #### parsePermissionsString

          public static List<org.springframework.security.acls.model.Permission> parsePermissionsString(org.springframework.context.ApplicationContext applicationContext,
                                                                                                        String permissionsString)
                                                                                                 throws NumberFormatException

      Throws:
        `NumberFormatException`

Copyright © 2017 The THYMELEAF team. All rights reserved.